Page MenuHomeFreeBSD

devel/py-pbr update to 4.2.0
AbandonedPublic

Authored by matthew on Aug 15 2018, 10:54 AM.

Details

Reviewers
koobs
Summary

Upgrade to the latest: 4.2.0

Test Plan

Poudriere test builds on 11.1 (amd64,i386) and 10.4 (amd64,i386) both
py27 and py36 flvours.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 18806
Build 18471: arc lint + arc unit

Event Timeline

matthew created this revision.Aug 15 2018, 10:54 AM
matthew edited the summary of this revision. (Show Details)Aug 15 2018, 11:55 AM
koobs added a comment.Aug 20 2018, 8:57 AM

@matthew Syntactical change looks fine, but I'd want to test dependents for compatibility given the major version bump. I'd expect to find some that pinned pbr to < 4

@matthew Syntactical change looks fine, but I'd want to test dependents for compatibility given the major version bump. I'd expect to find some that pinned pbr to < 4

No problem. I've a module I'm working on porting that lists the updated version in requirements.txt -- whether that is the version they actually need, or just what was available at the time
is another question.

koobs added a comment.May 7 2019, 4:15 AM

I have a WIP for pbr 5.2.0 pending (reverse dependents) QA

Is 5.x ok for the port you have that uses it? Which port/python package is it btw?

I have a WIP for pbr 5.2.0 pending (reverse dependents) QA
Is 5.x ok for the port you have that uses it? Which port/python package is it btw?

The port in question is ultimately devel/py-molecule -- however I think that it has since dropped the requirement for pbr in favour of setuptools-scm. (I need to update the py-molecule port it seems)

koobs added a comment.May 7 2019, 10:53 AM

I have a WIP for pbr 5.2.0 pending (reverse dependents) QA
Is 5.x ok for the port you have that uses it? Which port/python package is it btw?

The port in question is ultimately devel/py-molecule -- however I think that it has since dropped the requirement for pbr in favour of setuptools-scm. (I need to update the py-molecule port it seems)

Roger that. Do you want to abandon this revision since im working on 5.2.0 ?

matthew abandoned this revision.May 7 2019, 11:03 AM

pbr no longer in use by py-molecule.